Bug 1120496 - Architectures field and others in testinfo.desc is not documented
Summary: Architectures field and others in testinfo.desc is not documented
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: Doc
Version: 0.17
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: 26.5
Assignee: Carol Bouchard
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1704804 1705223
TreeView+ depends on / blocked
 
Reported: 2014-07-17 05:08 UTC by Dan Callaghan
Modified: 2019-05-22 16:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1704804 1705223 (view as bug list)
Environment:
Last Closed: 2019-05-22 14:43:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Beaker Project Gerrit 6509 None None None 2019-05-22 16:17:42 UTC

Description Dan Callaghan 2014-07-17 05:08:53 UTC
https://beaker-project.org/docs/user-guide/task-metadata.html#fields-in-testinfo-desc

Architectures field is missing.

Comment 2 Matt Tyson 🤬 2018-03-20 00:52:51 UTC
In addition to Architectures, it looks like the following fields are mentioned in testinfo.py but not documented in task-metadata.rst

TestVersion
Priority
Destructive
License
Confidential
Path
Bugs
Type
Environment

Comment 3 Matt Tyson 🤬 2018-03-21 04:21:06 UTC
So from what I can determine, beaker cares about the following fields:

Priority
Destructive
License
Path
Bugs
Type

Comment 4 Matt Tyson 🤬 2018-04-09 05:27:15 UTC
Determining how all these parameters work and to what extent requires a bit more time than I have at the moment.


Note You need to log in before you can comment on or make changes to this bug.